[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# S_ISCHR

Is file a character device

## Declaration

Source position: oldlinux.pp line 1603

`function S_ISCHR(`
`m: Word`
`):Boolean;`

## Description

S_ISCHR checks the file mode m to see whether the file is a character device file. If so it returns True.

## See also

FStat |  | Retrieve information about a file
S_ISLNK |  | Is file a symbolic link
S_ISREG |  | Is file a regular file
S_ISDIR |  | Is file a directory
S_ISBLK |  | Is file a block device
S_ISFIFO |  | Is file a FIFO
S_ISSOCK |  | Is file a unix socket

Documentation generated on: Feb 26 2014